using Managing.Domain.Statistics;

namespace Managing.Application.Abstractions.Repositories;

public interface IAgentBalanceRepository
{
    void InsertAgentBalance(AgentBalance balance);
    Task<IList<AgentBalance>> GetAgentBalancesByUserId(int userId, DateTime start, DateTime? end = null);
}